import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["className"];
import React from 'react';
import Image, { propTypes as imagePropTypes } from './Image';
import { useClassNameMapper } from './ThemeProvider';
var defaultProps = {
  fluid: true
};
var FigureImage = /*#__PURE__*/React.forwardRef(function (_ref, ref) {
  var className = _ref.className,
      props = _objectWithoutPropertiesLoose(_ref, _excluded);

  var classNames = useClassNameMapper();
  return /*#__PURE__*/React.createElement(Image, _extends({
    ref: ref
  }, props, {
    className: classNames(className, 'figure-img')
  }));
});
FigureImage.displayName = 'FigureImage';
FigureImage.defaultProps = defaultProps;
export default FigureImage;